/*-------------------------------------------------------------------------------------------------------------------*/
/**
 *    \file       Port.h
 *    \author     Baciu Vlad-Eusebiu
 *    \brief      Exports Port init function and post build configuration.
 */
/*-------------------------------------------------------------------------------------------------------------------*/

#ifndef PORT_H
#define PORT_H

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                                     Inclusions                                                    */
/*-------------------------------------------------------------------------------------------------------------------*/
#include "Std_Types.h"
#include "RegInit.h"
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                            Definition Of Global Macros                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                          Definition Of Global Data Types                                          */
/*-------------------------------------------------------------------------------------------------------------------*/
/** \brief  Defines the global PORT configuration type as the RegInit masked 32 bit registers load type. */
typedef RegInit_Masked32BitsConfigType Port_ConfigType;
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Variables                                            */
/*-------------------------------------------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Constants                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern const Port_ConfigType Port_gkt_Config;
/*-------------------------------------------------------------------------------------------------------------------*/
/*                                             Export Of Global Functions                                            */
/*-------------------------------------------------------------------------------------------------------------------*/
extern void Port_Init(const Port_ConfigType* ConfigPtr);
/*-------------------------------------------------------------------------------------------------------------------*/
#endif /* PORT_H */
